Skip to main content
`Ctrl`+`K`

# SVDValuesView

Displays the computed singular values in a viewer.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDValuesView(SVD svd,PetscViewer viewer)

Collective

## Input Parameters

- svd - the singular value solver context

- viewer - the viewer

## Options Database Key

- -svd_view_values - print computed singular values

## Note

The command-line option listed above admits an optional argument specifying the viewer type and options. For instance, use `-svd_view_values :evals.m:ascii_matlab` to save the values in a file that can be executed in Matlab.

## See Also

SVD: Singular Value Decomposition, `SVDSolve()`, `SVDVectorsView()`, `SVDErrorView()`

## Level

intermediate

## Location

src/svd/interface/svdview.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages